summaryrefslogtreecommitdiffstats
path: root/libraries/gwenhywfar/gwenhywfar.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/gwenhywfar/gwenhywfar.SlackBuild')
-rw-r--r--libraries/gwenhywfar/gwenhywfar.SlackBuild11
1 files changed, 5 insertions, 6 deletions
diff --git a/libraries/gwenhywfar/gwenhywfar.SlackBuild b/libraries/gwenhywfar/gwenhywfar.SlackBuild
index 9913448687..5cb1e3f555 100644
--- a/libraries/gwenhywfar/gwenhywfar.SlackBuild
+++ b/libraries/gwenhywfar/gwenhywfar.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for gwenhywfar
-# Copyright 2013 Heiko Rosemann Germany
+# Copyright 2013-2015 Heiko Rosemann Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gwenhywfar
-VERSION=${VERSION:-4.3.3}
+VERSION=${VERSION:-4.13.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -54,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -67,7 +67,7 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -89,8 +89,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING ChangeLog INSTALL NEWS README RELEASES TODO \
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README RELEASES TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild